# Uses of Enum
org.mariadb.jdbc.export.HaMode

Packages that use HaMode
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export

## Uses of HaMode in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return HaMode
Modifier and Type
Method
Description
`HaMode`
Configuration.`haMode()`
High availability mode
Methods in org.mariadb.jdbc with parameters of type HaMode
Modifier and Type
Method
Description
`Configuration.Builder`
Configuration.Builder.`haMode(HaMode haMode)`
Set failover High-availability mode
`static List<HostAddress>`
HostAddress.`parse(String spec, HaMode haMode)`
parse - parse server addresses from the URL fragment.

## Uses of HaMode in org.mariadb.jdbc.export

Methods in org.mariadb.jdbc.export that return HaMode
Modifier and Type
Method
Description
`static HaMode`
HaMode.`from(String value)`
Get HAMode from values or aliases
`static HaMode`
HaMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HaMode[]`
HaMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.mariadb.jdbc.export with parameters of type HaMode
Modifier and Type
Method
Description
`static Optional<HostAddress>`
HaMode.`getAvailableRoundRobinHost(HaMode haMode, List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.